Take the 2-minute tour ×
Super User is a question and answer site for computer enthusiasts and power users. It's 100% free, no registration required.

I have a virtualized Windows 7 (32bit) machine using VirtualBox software on a native Linux host.

For some advanced software (ArcGIS Desktop 10.1) I need:

OpenGL version 2.0 runtime minimum is required, and Shader Model 3.0 or higher is recommended.

I've been running a system requirements check, these are the results - telling me that there is no shader model available:

system requirements check

Now, I was wondering why? VirtualBox has shader model support since early versions. I downloaded the OpenGL Viewer software to check out video card settings. This are the results:

opengl viewer

The OpenGL Viewer tells me I have OpenGL 2.1 as well as vertex and pixel shader model version 3.0 installed. So how come some software is not detecting this?

By the way ArcGIS is not working correctly - as explained in this thread. That's why I think there are some serious issues with the shader model in VirtualBox.

How to fix this?

share|improve this question

1 Answer 1

up vote 4 down vote accepted

I figured out: To successfully enable shader model, you need to install the experimental WDDM drivers for 3d hardware acceleration. Like described here.

  1. Make sure the device has at least 128MB video memory allocated (256mb recommended).
  2. Safe mode is not required for installing the experimental drivers.
  3. Devices > Install guest additions... (Host + D)
  4. Select: Direct2D-Support (experimental)
  5. It suggests to install the basic 3d driver instead of the WDDM drivers. To install the WDDM drivers, simply click No and Ok.
  6. Finish the installation.
  7. Reboot.

Done.

share|improve this answer
    
Worked for me on a Windows XP guest system. However, I had to reboot into Safe Mode by running msconfig and checking /SAFEBOOT under BOOT.INI tab before I could install the 3D driver. –  joelpet Mar 2 '13 at 3:54

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.